## hashcash 1.17

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-HC_VERS = 1.13
+HC_VERS = 1.17
 CHANGEME1 = 1 # put PACKAGER = EBUILD|RPM etc here
 CHANGEME2 = 2
 CHANGEME3 = 3
@@ -9,11 +9,12 @@
 MSLIB = mslib 
 # here you can choose the regexp style your system has
 # default is POSIX
-# 	CFLAGS = -DREGEXP_POSIX
+# 	REGEXP = -DREGEXP_POSIX
 # if no POSIX regexp support, try BSD
-# 	CFLAGS = -DREGEXP_BSD
+# 	REGEXP = -DREGEXP_BSD
 # if no POSIX or BSD, disable, still have builtin basic wildcard support
-# 	CFLAGS = 
+# 	REGEXP = 
+COPT_DEBUG = -g
 COPT_GENERIC = -O3
 COPT_GNU = -O3 -funroll-loops
 COPT_X86 = -O3 -funroll-loops -march=i386 -mcpu=pentium -mmmx \
@@ -23,7 +24,8 @@
 COPT_G3_OSX = -O3 -funroll-loops -fno-inline -mcpu=750 -faltivec
 COPT_PPC_LINUX = -O3 -funroll-loops -fno-inline -mcpu=604e -maltivec \
 	-mabi=altivec
-CFLAGS = -DREGEXP_POSIX
+REGEXP=-DREGEXP_POSIX
+LIB=.a
 EXES = hashcash$(EXE) sha1$(EXE) sha1test$(EXE)
 INSTALL = install
 POD2MAN = pod2man
@@ -35,10 +37,11 @@
 	fastmint_ansi_compact_1.o fastmint_ansi_standard_1.o \
 	fastmint_ansi_compact_2.o fastmint_ansi_standard_2.o \
 	fastmint_altivec_standard_1.o fastmint_altivec_standard_2.o \
-	fastmint_altivec_compact_2.o fastmint_ansi_ultracompact_1.o
-OBJS = hashcash.o libsha1.o libhc.o sdb.o lock.o utct.o random.o sstring.o \
+	fastmint_altivec_compact_2.o fastmint_ansi_ultracompact_1.o \
+	fastmint_library.o
+OBJS = libsha1.o libhc.o sdb.o lock.o utct.o random.o sstring.o \
 	getopt.o $(FASTLIBS)
-DLLOBJS = libhc.o libsha1.o utct.o sdb.o lock.o sstring.o random.o $(FASTLIBS)
+LIBOBJS = libhc.o libsha1.o utct.o sdb.o lock.o sstring.o random.o $(FASTLIBS)
 EXEOBJS = hashcash.o
 
 DIST = ../dist.csh
@@ -47,53 +50,90 @@
 
 help:
 	@echo "make <platform> where platform is:"
-	@echo "    x86, mingw, mingw-dll, g3-osx, ppc-linux, gnu, generic"
+	@echo "    x86, mingw, mingw-dll, g3-osx, ppc-linux, gnu, generic, debug"
+	@echo "or to link with openSSL for SHA1 rather than builtin:"
+	@echo "    x86-openssl, g3-osx-openssl, ppc-linux-openssl, "
+	@echo "    gnu-openssl, generic-openssl, debug-openssl"
 	@echo "other make targets are docs, install, clean, distclean, docclean"
 	@echo ""
 	@echo "(doing make generic by default)"
 	@echo ""
 
 generic:
-	$(MAKE) "CFLAGS=$(CFLAGS) $(COPT_GENERIC) $(COPT)" build
+	$(MAKE) "CFLAGS=$(CFLAGS) $(REGEXP) $(COPT_GENERIC) $(COPT)" build
+
+debug:
+	$(MAKE) "CFLAGS=$(CFLAGS) $(REGEXP) $(COPT_DEBUG) $(COPT)" build
 
 gnu:
-	$(MAKE) "CFLAGS=$(CFLAGS) $(COPT_GNU) $(COPT)" "CC=gcc" build
+	$(MAKE) "CFLAGS=$(CFLAGS) $(REGEXP) $(COPT_GNU) $(COPT)" "CC=gcc" build
 
 x86: 
-	$(MAKE) "CFLAGS=$(CFLAGS) $(COPT_X86) $(COPT)" build
+	$(MAKE) "CFLAGS=$(CFLAGS) $(REGEXP) $(COPT_X86) $(COPT)" build
+
+g3-osx:
+	$(MAKE) "CFLAGS=$(CFLAGS) $(REGEXP) $(COPT_G3_OSX) $(COPT)" build
+
+ppc-linux:
+	$(MAKE) "CFLAGS=$(CFLAGS) $(REGEXP) $(COPT_PPC_LINUX) $(COPT)" build
+
+# mingw windows targets (cross compiler, or native)
 
 mingw: 
-	$(MAKE) "CC=gcc" "EXE=.exe" "CFLAGS=$(COPT_MINGW) -DMONOLITHIC $(COPT)" build
+	$(MAKE) "LIB=.lib" "CC=gcc" "EXE=.exe" "CFLAGS=$(COPT_MINGW) -DMONOLITHIC $(COPT)" build
 
 mingw-dll:
 	$(MAKE) "CC=gcc" "EXE=.exe" "CFLAGS=$(COPT_MINGW) $(COPT)" build-dll
 
-g3-osx:
-	$(MAKE) "CFLAGS=$(CFLAGS) $(COPT_G3_OSX) $(COPT)" build
-
-ppc-linux:
-	$(MAKE) "CFLAGS=$(CFLAGS) $(COPT_PPC_LINUX) $(COPT)" build
+
+# openSSL versions of targets
+
+x86-openssl:
+	$(MAKE) x86 "CFLAGS=$(CFLAGS) -DOPENSSL" "LDFLAGS=$(LDFLAGS) -lcrypto"
+
+g3-osx-openssl:
+	$(MAKE) g3-osx "CFLAGS=$(CFLAGS) -DOPENSSL" "LDFLAGS=$(LDFLAGS) -lcrypto"
+
+ppc-linux-openssl:
+	$(MAKE) ppc-linux "CFLAGS=$(CFLAGS) -DOPENSSL" "LDFLAGS=$(LDFLAGS) -lcrypto"
+
+gnu-openssl:
+	$(MAKE) gnu "CFLAGS=$(CFLAGS) -DOPENSSL" "LDFLAGS=$(LDFLAGS) -lcrypto"
+
+generic-openssl:
+	$(MAKE) generic "CFLAGS=$(CFLAGS) -DOPENSSL" "LDFLAGS=$(LDFLAGS) -lcrypto"
+
+debug-openssl:
+	$(MAKE) debug "CFLAGS=$(CFLAGS) -DOPENSSL" "LDFLAGS=$(LDFLAGS) -lcrypto"
+
 
 build:	hashcash$(EXE) sha1$(EXE)
 
 build-dll:      hashcash-dll$(EXE) sha1$(EXE)
 
-hashcash$(EXE):	$(OBJS)
-	$(CC) $(LDFLAGS) $(OBJS) -o $@
+hashcash$(EXE):	hashcash.o getopt.o libhashcash$(LIB) 
+	$(CC) hashcash.o getopt.o libhashcash$(LIB) -o $@ $(LDFLAGS)
 
 sha1$(EXE):	sha1.o libsha1.o
-	$(CC) $(LDFLAGS) sha1.o libsha1.o -o $@
+	$(CC) sha1.o libsha1.o -o $@ $(LDFLAGS)
+
+example$(EXE):	example.o getopt.o libhashcash$(LIB)
+	$(CC) example.o getopt.o libhashcash$(LIB) -o $@ $(LDFLAGS)
 
 hashcash-dll$(EXE):   $(EXEOBJS) hashcash.dll
-	$(CC) $(LDFLAGS) $(EXEOBJS) hashcash.dll -o $@
+	$(CC) $(EXEOBJS) hashcash.dll -o $@ $(LDFLAGS)
 
 sha1test$(EXE):	sha1test.o libsha1.o
-	$(CC) $(LDFLAGS) sha1test.o libsha1.o -o $@
+	$(CC) sha1test.o libsha1.o -o $@ $(LDFLAGS)
 
 all:	$(EXES)
 
-hashcash.dll:   hashcash.def $(DLLOBJS)
-	$(CC) -shared -o hashcash.dll $(DLLOBJS) \
+libhashcash$(LIB):	$(LIBOBJS)
+	$(DELETE) $@
+	$(AR) rcs $@ $(LIBOBJS)
+
+hashcash.dll:   $(LIBOBJS)
+	$(CC) -shared -o hashcash.dll $(LIBOBJS) \
 	-Wl,--output-def,hashcash.def,--out-implib,libhashcash.a
 	$(MSLIB) /machine:x86 /def:hashcash.def
 
@@ -150,6 +190,7 @@
 
 # DO NOT DELETE
 
+example.o: sstring.h sdb.h hashcash.h getopt.h
 fastmint_altivec_compact_2.o: libfastmint.h hashcash.h
 fastmint_altivec_standard_1.o: libfastmint.h hashcash.h
 fastmint_altivec_standard_2.o: libfastmint.h hashcash.h
@@ -158,6 +199,7 @@
 fastmint_ansi_standard_1.o: libfastmint.h hashcash.h
 fastmint_ansi_standard_2.o: libfastmint.h hashcash.h
 fastmint_ansi_ultracompact_1.o: libfastmint.h hashcash.h
+fastmint_library.o: sha1.h types.h libfastmint.h hashcash.h
 fastmint_mmx_compact_1.o: libfastmint.h hashcash.h
 fastmint_mmx_standard_1.o: libfastmint.h hashcash.h
 getopt.o: getopt.h
