=== debian/control ===
Source: hashcash
Section: mail
Priority: optional
Standards-Version: 4.6.1
Maintainer: Stefan Kangas <stefankangas@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Homepage: http://hashcash.org/
Vcs-Browser: https://salsa.debian.org/skangas/hashcash
Vcs-Git: https://salsa.debian.org/skangas/hashcash.git -b debian/latest

Package: hashcash
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: postage payment scheme for email based on hash calculations
 Hashcash is a payment scheme that uses CPU cycles as the form of payment.
 This can be used as a counter-measure for junk email (spam) by using the
 hashcash token as a proof of payment for each email that you sent.
