=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

OPTFLAGS = -O3 -funroll-loops

ifeq ($(DEB_HOST_ARCH),amd64)
OPTFLAGS = -O3 -funroll-loops -D_REENTRANT -D_THREAD_SAFE -fPIC
endif

ifeq ($(DEB_HOST_ARCH),i386)
OPTFLAGS = -O3 -funroll-loops -march=i386 -mcpu=i486 -mmmx \
	-D_REENTRANT -D_THREAD_SAFE -fPIC
endif

ifeq ($(DEB_HOST_ARCH),powerpc)
OPTFLAGS = -O3 -funroll-loops -fno-inline -mcpu=powerpc -maltivec \
	-mabi=altivec
endif

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
export DEB_CFLAGS_MAINT_APPEND  = $(OPTFLAGS) -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

execute_after_dh_auto_clean:
	rm -f hashcash libhashcash.a
