=== debian/watch ===
version=4
options="pgpmode=auto, \
         uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|pr)\d*)$/$1~$2/" \
http://hashcash.org/source/hashcash-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
